# <a href="https://www.patreon.com/nostlan"><img src="https://raw.githubusercontent.com/quinton-ashley/nostlan/master/views/img/icon.png" width=32px height=32px></a> Nostlan

Nostlan is a game launcher for retro and current gen video game emulators! Available on Linux, macOS, and Windows. Systems supported: Arcade, DS, GBA, 3DS, PS2, PS3, SNES, _Switch_, Wii, Wii U, and Xbox 360. Emulators supported: bsnes, Cemu, Citra, Dolphin, DeSmuME, MAME, melonDS, mGBA, PCSX2, RPCS3, _Ryujinx_, Xenia, and _Yuzu_.

#### **_[Download Nostlan for free](https://github.com/quinton-ashley/nostlan/releases)_** and if you enjoy the app [please make a donation](https://www.paypal.me/qashto/20), any amount is appreciated. [Support the development of Nostlan on patreon](https://www.patreon.com/nostlan) to gain access to premium features!

If you need help, contact me on [Discord](https://discord.gg/cT2yNC6) or by email <mailto:qashto@gmail.com>

<p style="text-align:center"><a href="https://www.patreon.com/nostlan">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan/master/views/img/icon.png" width=50% height=50%>
</a></p>

## A what? What's a "game launcher"?

Nostlan is like the part of Netflix where you choose a movie to watch but for your game libraries. It identifies your games and downloads high quality box art for them. You can interact with Nostlan using a mouse and keyboard or a game controller. [Nostlan is unlike any other launcher for video game emulators](https://github.com/quinton-ashley/nostlan/wiki/How-is-Nostlan-different-from-other-front-ends%3F). It has a sleek, minimalistic design that prioritizes box art, not a bunch of text and metadata. Check out the screenshots below!

## Features

- navigate Nostlan's menus with your mouse, keyboard, or game controller
- automated install of any emulator
- designed for UHD displays and projectors
- checks multiple database sites for the highest quality box art
- nostalgic UI themes for each supported console
- launches games with emulator apps, not cores
- most controllers connect to Nostlan automatically, no setup required
- gamecube controller adapter supported with [gca-js](https://github.com/YonicDev/gca-js)
- cross-platform support for Linux, macOS, and Windows
- advanced customization: edit launch commands
- [PREMIUM FEATURE] backup/sync all your save data to the cloud or local storage device

## Supported Systems and Emulators

Click on an image to see it in full quality 4K!

### Wii, Gamecube, Virtual Console [Dolphin]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/wii.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/wii_LQ.png">
</a></p>

### Wii U [Cemu]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/wiiu.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/wiiu_LQ.png">
</a></p>

### Switch [Yuzu, Ryujinx]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/switch.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/switch_LQ.png">
</a></p>

### 3DS [Citra]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/n3ds.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/n3ds_LQ.png">
</a></p>

### SNES [bsnes, snes9x]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/snes.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/snes_LQ.png">
</a></p>

### Arcade Machines [MAME]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/mame.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/mame_LQ.png">
</a></p>

### NES [Mesen, em-fceux]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/nes.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/nes_LQ.png">
</a></p>

### DS [DeSmuME, melonDS]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ds.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ds_LQ.png">
</a></p>

### GBA [mGBA, Visual Boy Advance]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/gba.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/gba_LQ.png">
</a></p>

### PS2 [PCSX2]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ps2.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ps2_LQ.png">
</a></p>

### PS3 [RPCS3]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ps3.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/ps3_LQ.png">
</a></p>

### Xbox 360 [Xenia]

<p><a href="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/xbox360.png">
<img src="https://raw.githubusercontent.com/quinton-ashley/nostlan-screenshots/master/xbox360_LQ.png">
</a></p>

## Support the Development of Nostlan!

[Patreon](https://www.patreon.com/nostlan) supporters get premium features for only \\\$1 a month!

- [backup/sync game saves to the cloud or local storage device](https://github.com/quinton-ashley/nostlan/wiki/Backup-Saves-and-Cloud-Save-Syncing)
- [unlock alternate UI theme color palettes](https://github.com/quinton-ashley/nostlan/wiki/Change-Theme)
- [custom UI theming, lets you change the intro loading screens and make your own color palettes](https://github.com/quinton-ashley/nostlan/wiki/Custom-Themes)

Even though I decided to make this project open source and free to use, it still took a lot of work and a long time to develop. If you appreciate my work so far and will continue to use the app please support its development. Thank you!

Features that might be offered in the future:

- support for your PC game libraries! (Origin, Steam, Epic Games, etc.)

For the past two years I've spent way too much time developing Nostlan. I'm really happy with the progress I've made but I'd be able to work on it a lot more if I felt like the community was interested in it. Even 50 supporters would be huge for me! After I get to a point where I feel like I can do a big v2.0 release, I'm going to make a lot of video tutorials that walk people through the setup process. My goal is to have 200 Patreon supporters!

## How to access Premium Features

Every month, Patreon supporters will be able to see an exclusive post with the monthly donor password unique to that month. When you start Nostlan it will show a donation menu. Select "access premium features" from the donation menu. Copy the monthly donor password from Patreon and paste it into the donor password input. Select "verify password", if the password is correct you will have access to premium features! Passwords are automatically posted each month.

## Learn more about Nostlan on the wiki

<https://github.com/quinton-ashley/nostlan/wiki>

I've put a good amount of effort into documenting Nostlan on the wiki. I hope you find it helpful! Go to the wiki to find out more info on these topics:

Adaptive Button Mapping  
Copyright, Trademark, and Open Source Licensing Info  
Credits  
Custom Themes  
Development Info  
Features  
Game Identification  
Hardware Compatibility  
How is Nostlan different from other front ends?  
Image Names to use for Game Art  
Premium Features  
Screenshots  
Setting up Nostlan  
Supported Systems and Emulators  
Update Logs  
User Preferences  
Using Nostlan

## Error Reporting

Please report issues and request features on this project's Github and [send me an email](mailto:qashto@gmail.com) with your comments, question, suggestions, or if you need any help using the app. :)

[Discord](https://discord.gg/cT2yNC6)  
<mailto:qashto@gmail.com>

## Legal Disclaimer

Although [Emulation is legal](https://en.wikipedia.org/wiki/Bleem!), pirating games you do not own is illegal. Nostlan does not condone piracy. Nostlan is open source software that does not infringe on any copyrights of texture packers, developers, or publishers. Nostlan is not affiliated with Nintendo, Sony, or Microsoft. Anyone asking for or sharing information related to digital piracy on this project's Github issues will have their comments removed and flagged.

## COPYRIGHT AND TRADEMARK INFO

MAME and the MAME Logo are Copyright © 1997-2019 MAMEDev and contributors. MAME® is a registered trademark of Gregory Ember. Use of the MAME name and logo is done so with the expressed written permission from the trademark owner. For more information, please visit <https://www.mamedev.org>.

Nostlan and the Nostlan logo are Copyright © 2019-2020 Quinton Ashley. The Nostlan logo images are licensed under [Attribution-NonCommercial-ShareAlike 4.0 International](https://creativecommons.org/licenses/by-nc-sa/4.0/). The template images found in the [nostlan-img repository](https://github.com/quinton-ashley/nostlan-img) are public domain images using the Public Domain License CC0. The Nostlan software itself is fully open source and licensed under the copyleft [GNU GPLv3 license](https://en.wikipedia.org/wiki/GNU_General_Public_License).

![GNU GPLv3 logo](https://www.gnu.org/graphics/gpl-v3-logo.svg)
